Last Comment Bug 653977 - Text not appearing on sourceforge forums
: Text not appearing on sourceforge forums
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86_64 All
: -- normal (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
Mentors:
http://sourceforge.net/projects/keepa...
Depends on:
Blocks: 650639
  Show dependency treegraph
 
Reported: 2011-05-01 00:27 PDT by Eriatile
Modified: 2011-05-19 00:14 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
What is seen (20.74 KB, image/jpeg)
2011-05-01 00:29 PDT, Eriatile
no flags Details
What should be seen (29.11 KB, image/jpeg)
2011-05-01 00:30 PDT, Eriatile
no flags Details
patch, ensure font downloads are re-triggered if necessary after userFontSet update (1.49 KB, patch)
2011-05-01 06:51 PDT, Jonathan Kew (:jfkthame)
dbaron: review+
Details | Diff | Review

Description Eriatile 2011-05-01 00:27:01 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110430 Firefox/6.0a1
Build Identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110430 Firefox/6.0a1

On sourceforge forums text does not appear.
It works with IE9.

Reproducible: Always

Steps to Reproduce:
1. go to http://sourceforge.net/projects/keepass/forums/forum/329221 
2. look at the list of topic => there is nothing to see
3. click on any monitor button => text appear
Comment 1 Eriatile 2011-05-01 00:29:48 PDT
Created attachment 529332 [details]
What is seen
Comment 2 Eriatile 2011-05-01 00:30:13 PDT
Created attachment 529333 [details]
What should be seen
Comment 3 Alice0775 White 2011-05-01 01:39:13 PDT
Confirmed on
http://hg.mozilla.org/mozilla-central/rev/7162a399c334
Mozilla/5.0 (X11; Linux i686; rv:6.0a1) Gecko/20110430 Firefox/6.0a1 ID:20110430030554

Regression window:
Works:
http://hg.mozilla.org/mozilla-central/rev/02c2e04f09cf
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110427 Firefox/6.0a1 ID:20110427171636
Fails:
http://hg.mozilla.org/mozilla-central/rev/60ea7d2f4289
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110427 Firefox/6.0a1 ID:20110427221511
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=02c2e04f09cf&tochange=60ea7d2f4289

CCing:
jfkthame@gmail.com
dbaron@dbaron.org
jdaggett@mozilla.com
Comment 4 Alice0775 White 2011-05-01 03:31:33 PDT
In local build(windows7)
build from 60ea7d2f4289 : fails
build from a9dd6038db6a : fails
build from 02c2e04f09cf : works
Regressed by
a9dd6038db6a	Jonathan Kew — bug 650639 - cancel current font-downloaders when updating the user font set. r=dbaron
Comment 5 Jonathan Kew (:jfkthame) 2011-05-01 04:06:23 PDT
Assigning to myself for further investigation. Thanks for isolating the regression!
Comment 6 Jonathan Kew (:jfkthame) 2011-05-01 05:40:25 PDT
A workaround until this gets fixed is to zoom the page (Ctl-+ or Ctl-=); this should make the missing text appear.
Comment 7 Jonathan Kew (:jfkthame) 2011-05-01 05:41:56 PDT
Or go to about:config and set gfx.downloadable_fonts.fallback_delay to zero.
Comment 8 Jonathan Kew (:jfkthame) 2011-05-01 06:51:26 PDT
Created attachment 529348 [details] [diff] [review]
patch, ensure font downloads are re-triggered if necessary after userFontSet update
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-05-01 07:46:45 PDT
Comment on attachment 529348 [details] [diff] [review]
patch, ensure font downloads are re-triggered if necessary after userFontSet update

Could also initialize with:
  PRBool modified = mLoaders.Count() > 0;

r=dbaron either way
Comment 10 Jonathan Kew (:jfkthame) 2011-05-01 08:13:56 PDT
http://hg.mozilla.org/mozilla-central/rev/c1bc77f0fac1
Comment 11 Jo Hermans 2011-05-01 14:40:54 PDT
I've seen this bug too, on <http://www.deredactie.be/cm/vrtnieuws> (the title of each news-item disappeared when the page was refreshed). A build of 12 hours ago (this morning) still had the bug, the current top-of-the-tree doesn't anymore.
Comment 12 Jonathan Kew (:jfkthame) 2011-05-18 23:52:15 PDT
Comment on attachment 529348 [details] [diff] [review]
patch, ensure font downloads are re-triggered if necessary after userFontSet update

Nominating for mozilla-beta along with bug 650639, as this fixes a bad regression from the patch there.
Comment 13 Jonathan Kew (:jfkthame) 2011-05-19 00:14:41 PDT
Comment on attachment 529348 [details] [diff] [review]
patch, ensure font downloads are re-triggered if necessary after userFontSet update

Cancelling my approval-beta request as I don't believe this applies there after all (see bug 650639#c20).

Note You need to log in before you can comment on or make changes to this bug.